Bug 62739 - Why is there a "python2" package, what are future plans?
Why is there a "python2" package, what are future plans?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: python2 (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 21:00 EST by Ben Escoto
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-04 21:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Escoto 2002-04-04 21:00:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020308

Description of problem:
This isn't really a bug, but I'm wondering why there is a separate "python2"
package name and "python" is still at 1.5.2.  Is python 2.x not backwards
compatible enough?  What is planned for the future, will "python2" always be
present, or will "python" eventually be at v 2.2 or whatever?

I care in particular because I'm distributing RPMs for a program that depends on
python >= 2.2 (see http://www.stanford.edu/~bescoto/rdiff-backup).  What would
you recommend in this case?  Should there be two separate RPMs, one that
requires python2 for redhat, and one that just requires python >= 2.2 as you
would expect?  Thanks.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. NA
2.
3.
	

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-04-05 01:05:21 EST
Modules need to continue working, so no upgrade of components like this outside
a major version change.
Comment 2 Ben Escoto 2002-04-05 04:02:26 EST
And your advice about RPMs which require python >= 2.x?
Comment 3 Trond Eivind Glomsrxd 2002-04-05 15:43:28 EST
Require that package? Bugzilla is a bug reporting system, not a support system.
Comment 4 Ben Escoto 2002-04-05 15:56:00 EST
Give me a break.  I write software that I give away for free.  I respectfully
ask a legitimate question because I want the software to install more easily on
RedHat, thus making Redhat a better and more convenient OS.  Instead of getting
a helpful answer I get talked down to like I'm a waste of time.

About the "this isn't a support system", looking at the RPM spec I see it says:

Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>

suggesting that questions about the RPM packaging should go through this system.
 I also browsed around Redhat's website for a while, looking for a better place
to ask this question, and didn't see anything.  If in fact this isn't the right
place to ask the question, at least refer me.

    Now I know you are probably very busy, or having a bad day, or whatever, but
do you think you could treat me with a little respect now?  Thanks in advance.
Comment 5 Trond Eivind Glomsrxd 2002-04-05 16:06:20 EST
Bugzilla is a bug tracking system, not a place for technical discussion,
support[1] etc. The best place for your question would be redhat-devel-list,
where I'll answer your question when you mail it.



Note You need to log in before you can comment on or make changes to this bug.